package com.thesis.centralserver.services;

import com.thesis.centralserver.dtos.DeviceDTO;
import com.thesis.centralserver.entities.Device;
import com.thesis.centralserver.entities.OffloadingTask;
import com.thesis.centralserver.exceptions.NoSellerDeviceFoundException;

import java.util.List;

public interface DeviceService {

    Device updateDeviceData(DeviceDTO deviceDTO);

    List<Device> getAllDevices();

    OffloadingTask getSellerDevices(double dataSize, DeviceDTO buyerDeviceDTO) throws NoSellerDeviceFoundException;

}
